If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Need Python 2.6 development files

RESOLVED FIXED

Status

mozilla.org Graveyard
Server Operations
--
minor
RESOLVED FIXED
8 years ago
3 years ago

People

(Reporter: jbalogh, Assigned: justdave)

Tracking

Details

(Reporter)

Description

8 years ago
Some crappy packagers make development headers and such a separate package, called python-devel or something similar.  It's a dependency for building pretty much anything.

Can we get python-devel for 2.6 on our boxes?  I need it on khan, but it should be available everywhere because others will need it soon.

/usr/lib/python2.6/config should be populated afterward, similar to how /usr/lib/python2.4/config currently is.
python26-devel-2.6.2-geekymedia1.rhel5 installed.

Package was already built and even copied into the staging directory on khan, it just never got installed.
Assignee: server-ops → justdave
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
oh, what other boxes was this version of python on?
The AMO boxes, preview and production.
you need the -devel files in production?
We don't for anything we're currently doing, I was telling you where else those python packages were.

If it's as needed as Jeff makes it sound we'll probably be asking for it eventually, but it's not needed now.

Comment 6

8 years ago
As far as I know the -devel package contains headers and whatnot, for extending python in C. I can't think of any scenarios where it would be needed in production.
(Reporter)

Comment 7

8 years ago
It also contains config files that setuptools (and maybe distutils) depends on (I agree, it's kind of stupid).  I know that Mark is going to need it for Cesium, but I don't think that will be running on the AMO boxes.
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.